Bug 1788328 (CVE-2019-10773) - CVE-2019-10773 nodejs-yarn: Install functionality can be abused to generate arbitrary symlinks
Summary: CVE-2019-10773 nodejs-yarn: Install functionality can be abused to generate a...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1788329
Blocks: 1788330
TreeView+ depends on / blocked
 
Reported: 2020-01-06 23:06 UTC by Pedro Sampaio
Modified: 2020-02-11 20:09 UTC (History)
5 users (show)

Fixed In Version: yarn 1.21.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 20:09:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0475 None None None 2020-02-11 18:32:15 UTC

Description Pedro Sampaio 2020-01-06 23:06:46 UTC
In Yarn before 1.21.1, the package install functionality can be abused to generate arbitrary symlinks on the host filesystem by using specially crafted "bin" keys. Existing files could be overwritten depending on the current user permission set.

Upstream issue:

https://github.com/yarnpkg/yarn/issues/7761

Upstream patch:

https://github.com/yarnpkg/yarn/commit/039bafd74b7b1a88a53a54f8fa6fa872615e90e7

References:

https://blog.daniel-ruf.de/critical-design-flaw-npm-pnpm-yarn/
https://snyk.io/vuln/SNYK-JS-YARN-537806

Comment 1 Pedro Sampaio 2020-01-06 23:07:20 UTC
Created nodejs-yarn tracking bugs for this issue:

Affects: fedora-all [bug 1788329]

Comment 3 errata-xmlrpc 2020-02-11 18:32:13 UTC
This issue has been addressed in the following products:

  Red Hat Quay 3

Via RHSA-2020:0475 https://access.redhat.com/errata/RHSA-2020:0475

Comment 4 Product Security DevOps Team 2020-02-11 20:09:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10773


Note You need to log in before you can comment on or make changes to this bug.